package ucs;

import java.net.URL;

public class SarTcclTest implements SarTcclTestMBean {
  private String resource = "resource.xml";

  public SarTcclTest() {
  }

  public String getName() {
    return "SarTcclTest";
  }

  @Override
  public String getResource() {
      return resource;
   }

  @Override
  public void setResource(final String res) {
    this.resource = res;
  }

  public void start() throws Exception {
    final ClassLoader tccl = Thread.currentThread().getContextClassLoader();
    URL resUrl = tccl.getResource(resource);
    if(resUrl == null) {
      System.err.println("Wrong classloader!");
      throw new Exception("Couldn't get resource from TCCL.");
    } else {
      System.out.println("Got our resource.");
    }
  }
  
  public void stop() throws Exception {
   
  }
}
