<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" 
  xmlns:dom="urn:jboss:domain:1.2"
  xmlns:ee="urn:jboss:domain:ee:1.0">
  <xsl:output indent="yes"/>

  <xsl:template match="@*|node()">
    <xsl:copy xml:space="preserve">
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="/dom:server/dom:profile/ee:subsystem">
    <xsl:copy xml:space="preserve">
      <xsl:element name="global-modules" namespace="urn:jboss:domain:ee:1.0">
        <xsl:element name="module" namespace="urn:jboss:domain:ee:1.0">
          <xsl:attribute name="name">ucs</xsl:attribute>
          <xsl:attribute name="slot">main</xsl:attribute>     
        </xsl:element>
      </xsl:element>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
